ciaolgt(1)

NAME
ciaolgt - Logtalk integration script for Ciao Prolog

SYNOPSIS
ciaolgt [-e goal]

DESCRIPTION
ciaolgt is a Logtalk integration script for Ciao Prolog. It automatically loads the Ciao Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It uses the ciao executable -l option to load the Logtalk files. It passes any options to the ciao executable; see the Ciao Prolog documentation for the available options.

OPTIONS
The most common option is:

-e  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
Ciao Prolog 1.22.0 is required. This integration script looks for a ciao executable in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_ciao.pl
    Prolog file used for loading the necessary files for starting Logtalk using Ciao Prolog as the backend compiler.

$LOGTALKHOME/adapters/ciao.pl
    The Ciao Prolog adapter files.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

CAVEATS
The first run of this script may require using "sudo" depending on the writing permissions of the Logtalk installation directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The Ciao Prolog website at http://ciao-lang.org/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2024 Paulo Moura.